# Class ToolBarUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ToolBarUI

Direct Known Subclasses:
  `BasicToolBarUI, MultiToolBarUI`

public abstract class ToolBarUI extends ComponentUI
Pluggable look and feel interface for JToolBar.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ToolBarUI()`
Constructor for subclasses to call.

## Method Summary

### Methods declared in class ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToolBarUI

protected ToolBarUI()
Constructor for subclasses to call.